# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsGit/GitApplyBundleDataDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_GitApplyBundleDataDialog(object):
    def setupUi(self, GitApplyBundleDataDialog):
        GitApplyBundleDataDialog.setObjectName("GitApplyBundleDataDialog")
        GitApplyBundleDataDialog.resize(400, 94)
        GitApplyBundleDataDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(GitApplyBundleDataDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=GitApplyBundleDataDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.headCombo = QtWidgets.QComboBox(parent=GitApplyBundleDataDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.headCombo.sizePolicy().hasHeightForWidth())
        self.headCombo.setSizePolicy(sizePolicy)
        self.headCombo.setObjectName("headCombo")
        self.gridLayout.addWidget(self.headCombo, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=GitApplyBundleDataDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.branchCombo = QtWidgets.QComboBox(parent=GitApplyBundleDataDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.branchCombo.sizePolicy().hasHeightForWidth())
        self.branchCombo.setSizePolicy(sizePolicy)
        self.branchCombo.setEditable(True)
        self.branchCombo.setObjectName("branchCombo")
        self.gridLayout.addWidget(self.branchCombo, 1, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=GitApplyBundleDataDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 2, 0, 1, 2)

        self.retranslateUi(GitApplyBundleDataDialog)
        self.buttonBox.accepted.connect(GitApplyBundleDataDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(GitApplyBundleDataDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(GitApplyBundleDataDialog)

    def retranslateUi(self, GitApplyBundleDataDialog):
        _translate = QtCore.QCoreApplication.translate
        GitApplyBundleDataDialog.setWindowTitle(_translate("GitApplyBundleDataDialog", "Git Apply Data"))
        self.label.setText(_translate("GitApplyBundleDataDialog", "Bundle Head:"))
        self.headCombo.setToolTip(_translate("GitApplyBundleDataDialog", "Select a head to apply"))
        self.label_2.setText(_translate("GitApplyBundleDataDialog", "Local Branch:"))
        self.branchCombo.setToolTip(_translate("GitApplyBundleDataDialog", "Enter a local branch"))
